# OgreSceneManager.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreSceneNode.h"`
`#include "OgrePlane.h"`
`#include "OgreQuaternion.h"`
`#include "OgreColourValue.h"`
`#include "OgreCommon.h"`
`#include "OgreSceneQuery.h"`
`#include "OgreAutoParamDataSource.h"`
`#include "OgreAnimationState.h"`
`#include "OgreRenderQueue.h"`
`#include "OgreRenderQueueSortingGrouping.h"`
`#include "OgreRectangle2D.h"`
`#include "OgrePixelFormat.h"`
`#include "OgreResourceGroupManager.h"`
`#include "OgreTexture.h"`
`#include "OgreShadowCameraSetup.h"`
`#include "OgreShadowTextureManager.h"`
`#include "OgreCamera.h"`
`#include "OgreInstancedGeometry.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef uint16 | SceneTypeMask
| Bitmask containing scene types.

## Enumerations

enum | SceneType { ST_GENERIC = 1, ST_EXTERIOR_CLOSE = 2, ST_EXTERIOR_FAR = 4, ST_EXTERIOR_REAL_FAR = 8, ST_INTERIOR = 16 }
| Classification of a scene to allow a decision of what type of SceenManager to provide back to the application. More...

## Typedef Documentation

typedef uint16 Ogre::SceneTypeMask

| Bitmask containing scene types. Definition at line 3173 of file OgreSceneManager.h.

## Enumeration Type Documentation

enum Ogre::SceneType

Classification of a scene to allow a decision of what type of SceenManager to provide back to the application.

Enumeration values:

  ST_GENERIC |
  ST_EXTERIOR_CLOSE |
  ST_EXTERIOR_FAR |
  ST_EXTERIOR_REAL_FAR |
  ST_INTERIOR |

Definition at line 3178 of file OgreSceneManager.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:45 2009